| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ > Class Template Referenceabstract

`#include <GaudiAlg/FilterPredicate.h>`

Inheritance diagram for Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >:
[legend]
Collaboration diagram for Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >:
[legend]

## Public Member Functions
StatusCode | execute () override final
virtual bool | operator() (const In &...) const =0
Public Member Functions inherited from Gaudi::Functional::details::DataHandleMixin< void, std::tuple< In... >, Traits_ >
| DataHandleMixin (const std::string &name, ISvcLocator *pSvcLocator, const std::array< KeyValue, N_in > &inputs)
| DataHandleMixin (const std::string &name, ISvcLocator *locator, const KeyValue &input)
template<std::size_t N = 0>
const std::string & | inputLocation () const
unsigned int | inputLocationSize () const

## Private Member Functions
template<std::size_t... I>
StatusCode | invoke (std::index_sequence< I... >)

## Additional Inherited Members
Public Types inherited from Gaudi::Functional::details::DataHandleMixin< void, std::tuple< In... >, Traits_ >
using | KeyValue = std::pair< std::string, std::string >
Static Public Attributes inherited from Gaudi::Functional::details::DataHandleMixin< void, std::tuple< In... >, Traits_ >
static constexpr std::size_t | N_in = sizeof...( In )
Protected Attributes inherited from Gaudi::Functional::details::DataHandleMixin< void, std::tuple< In... >, Traits_ >
std::tuple< details::InputHandle_t< Traits_, In >... > | m_inputs

## Detailed Description

### template<typename... In, typename Traits_>
class Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >

Definition at line 18 of file FilterPredicate.h.

## Member Function Documentation

template<typename... In, typename Traits_ >

StatusCode Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >::execute | ( |  | ) |
| inline final override

Definition at line 25 of file FilterPredicate.h.

25 { return invoke( std::index_sequence_for<In...>{} ); }
Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >::invoke
StatusCode invoke(std::index_sequence< I... >)
Definition: FilterPredicate.h:33
template<typename... In, typename Traits_ >
template<std::size_t... I>

StatusCode Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >::invoke | ( | std::index_sequence< I... > |  | ) |
| inline private

Definition at line 33 of file FilterPredicate.h.

34 {
35 using details::as_const;
36 try {
37 auto pass = as_const( *this )( as_const( *std::get<I>( this->m_inputs ).get() )... );
38 this->setFilterPassed( pass );
39 } catch ( GaudiException& e ) {
40 ( e.code() ? this->warning() : this->error() ) << e.message() << endmsg;
41 return e.code();
42 }
43 return StatusCode::SUCCESS;
44 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
Gaudi::Functional::details::as_const
constexpr std::add_const< T >::type & as_const(T &t) noexcept
Definition: FunctionalDetails.h:104
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:22
GaudiException::code
virtual const StatusCode & code() const
StatusCode for Exception.
Definition: GaudiException.h:119
Gaudi::Functional::details::DataHandleMixin< void, std::tuple< In... >, Traits_ >::m_inputs
std::tuple< details::InputHandle_t< Traits_, In >... > m_inputs
Definition: FunctionalDetails.h:537
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209
template<typename... In, typename Traits_ >

virtual bool Gaudi::Functional::FilterPredicate< bool(const In &...), Traits_ >::operator() | ( | const In & | ... | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/FilterPredicate.h